import { useQuery, UseQueryOptions, UseQueryResult } from 'react-query';
import useClientContext from './useClientContext';

export default function useLogout(
  options?: UseQueryOptions<any, Error>,
): UseQueryResult<any, Error> {
  const client = useClientContext();

  return useQuery<any, Error>('Logout', async () => client.client.auth.logout(), options);
}
